Option Explicit Rhino.AddStartUpScript Rhino.LastLoadedScriptFile Rhino.AddAlias "SelUniqueNamedObjects", "_NoEcho _-Runscript (SelUniqueNamedObjects)" 'Call SelUniqueNamedObjects() Sub SelUniqueNamedObjects() 'get all object names If isnull(Rhino.AllObjects()) Then Exit Sub Dim arrN : arrN = Rhino.ObjectNames(Rhino.AllObjects()) Dim i,o 'change Null for objects with no name to empty string For i=0 To Ubound(arrN) If isnull(arrN(i))Then arrN(i) = "" Next 'remove duplicates arrN = Rhino.CullDuplicateStrings(arrN) Call Rhino.UnselectAllObjects() Rhino.EnableRedraw False For i=0 To Ubound(arrN) If arrN(i) <> "" Then o = Rhino.ObjectsByName(arrN(i)) 'add to selection if only one with given name: If Ubound(o) = 0 Then Call Rhino.SelectObject(o(0)) End If Next Rhino.EnableRedraw True End Sub